module GlitchHelperRedGlitch

using ..Ahorn, Maple

@mapdef Entity "GlitchHelper/RedGlitch" RedGlitch(x::Integer, y::Integer)

const placements = Ahorn.PlacementDict(
    "Red Glitch (Glitch Helper)" => Ahorn.EntityPlacement(
        RedGlitch,
        "point"
    )
)

function Ahorn.selection(entity::RedGlitch)
    x, y = Ahorn.position(entity)
    sprite = "objects/glitch/glitchred00"

    return Ahorn.getSpriteRectangle(sprite, x, y)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::RedGlitch, room::Maple.Room)
    sprite = "objects/glitch/glitchred00"

    Ahorn.drawSprite(ctx, sprite, 0, 0)
end

end