local mine = {}

mine.name = "GlitchHelper/Mine"

mine.placements = {
    {
        name = "mine",
        data = {
            isMine = true
        }
    },
    {
        name = "tile",
        data = {
            isMine = false
        }
    }
}

local mineTexture = "objects/mine/mine"
local tileTexture = "objects/mine/tile"

function mine.texture(room, entity)
    return entity.isMine and mineTexture or tileTexture
end

mine.justification = {-0.5, -0.5}

return mine